#include "config.h"
/*
 * Copyright (c) 1986, 2014 by The Trustees of Columbia University in
 * the City of New York.  All rights reserved.
 *
 * Redistribution and use in source and binary forms, with or without
 * modification, are permitted provided that the following conditions
 * are met:
 *
 *  + Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *  + Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in
 *    the documentation and/or other materials provided with the
 *    distribution.
 *
 *  + Neither the name of Columbia University nor the names of its
 *    contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.

 Author: Howie Kaye
*/

#include "args.h"
#include <stdio.h>
#include "cmver.h"

static int cm_major_version = MAJORVERSION;
static int cm_minor_version = MINORVERSION;
static const char *cm_version_date = VERSIONDATE;

char *
cm_version(VOID)
{
  static char buf[100];

  sprintf(buf,"CCMD Version %d.%d of %s", cm_major_version,
		cm_minor_version, cm_version_date);
  return(buf);
}

int
cm_major(VOID)
{
  return(cm_major_version);
}

int
cm_minor(VOID)
{
  return(cm_minor_version);
}
